                      { --- Show status line --- }
procedure show_status;
begin
GotoXY(PROMPT_X,PROMPT_Y);
write(cursor0); LowVideo;
write('      Line ',line(index):4,' Col ',cx:3);
write(' Ind ',index:5);
{write(' ',hexbyte(ord(text[index])));}
if insert_flag then write('  Ins') else write('  Ovr');
write('  ',textname:14);
write(n_lines:5,' lines ',text_end:5,' chars');
HighVideo; if insert_flag then write(cursor2) else write(cursor1);
GotoXY(cx,cy);
end; { show_status }

